Get API Token TTL Policy

Get API Token TTL Policy
Get API Token TTL Policy Limits

Retrieves the TTL policy limits for API token creation. This endpoint is accessible to all authenticated users (not just admins) to allow them to validate their token TTL values before submission.

Request
URI
GET
https://{api_host}/acs/t/{tenant}/api-tokens/policy
COPY
Path Parameters
string
tenant
Required  

The VMware Identity Services tenant ID

tenant example
my-tenant

Authentication
This operation uses the following authentication methods.
Responses
200

TTL policy limits retrieved successfully

Returns APITokenTTLPolicyMedia of type(s) application/vnd.vmware.vidm.api-tokens.ttl.policy+json
{
    "_links": {
        "self": {
            "href": "https://example.com/path-to-self"
        }
    },
    "maxAccessTokenTtl": 0,
    "maxApiTokenTtl": 0,
    "enabled": false
}

401

Auth token is missing or not valid

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/acs/t/{tenant}/api-tokens/policy